<?php
/**
 * The template part for displaying content
 * @package Ecommerce Solution
 * @subpackage multipurpose_blog
 * @since 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="layout2">   
    <h2 class="section-title text-center"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
    <?php if( get_theme_mod( 'multipurpose_blog_metafields_date',true) != '') { ?>
     <div class="date-box text-center mb-3"><i class="<?php echo esc_attr(get_theme_mod('multipurpose_blog_post_date_icon','far fa-calendar-alt')); ?> me-2"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></div>  
    <?php }?>
    <div class="box-image text-center mb-2">
      <?php 
        if(has_post_thumbnail()) { 
          the_post_thumbnail(); 
        }
      ?>
    </div>
    <div class="new-text text-center">
      <?php $multipurpose_blog_theme_lay = get_theme_mod( 'multipurpose_blog_content_settings','Excerpt');
      if($multipurpose_blog_theme_lay == 'Content'){ ?>
        <?php the_content(); ?>
      <?php }
      if($multipurpose_blog_theme_lay == 'Excerpt'){ ?>
        <?php if(get_the_excerpt()) { ?>
          <p><?php $excerpt = get_the_excerpt(); echo esc_html( multipurpose_blog_string_limit_words( $excerpt, esc_attr(get_theme_mod('multipurpose_blog_post_excerpt_number','30')))); ?><?php echo esc_html( get_theme_mod('multipurpose_blog_post_discription_suffix','[...]') ); ?></p>
        <?php }?>
      <?php }?>
    </div>  
    <div class="cat-box text-center mt-3">
      <i class="<?php echo esc_attr(get_theme_mod('multipurpose_blog_category_icon','fas fa-folder-open')); ?> me-2"></i><?php the_category(); ?>
    </div>
    <div class="clearfix"></div>
  </div>
</article>